package com.hithomelabs.princeton1.module4;

import javax.annotation.Nonnull;
import java.util.Iterator;

public class LinkedQueue<E> extends Queue<E>{
    @Override
    public boolean isEmpty() {
        return false;
    }

    @Override
    public E dequeue() {
        return null;
    }

    @Override
    public void enqueue(E element) {

    }

    @Override
    public int size() {
        return 0;
    }

    @Override
    public Iterator<E> iterator() {
        return null;
    }
}
